import { ExternalInterface } from "../abstract-external-interface.class";
import { CordovaLocalConfiguration } from "./cordova-local-configuration.interface";
import { DataConnector } from "../../data-connector.class";
import { CollectionDataSet, EntityDataSet, FilterData } from "../../types";
import { Observable } from "rxjs";
export declare class CordovaLocal extends ExternalInterface {
    private configuration;
    private connector;
    private interfaceName;
    fileSystem: any;
    private dataStore;
    constructor(configuration: CordovaLocalConfiguration, connector: DataConnector, interfaceName: string);
    private createFile;
    private writeFile;
    private readFile;
    private createFileInPersistentStorage;
    private createFileInSpace;
    private readFileInPersistentStorage;
    private readFileInAppDirectory;
    authenticate(): Observable<EntityDataSet>;
    readonly authenticated: Observable<EntityDataSet>;
    private readEndpoint;
    private saveToEndPoint;
    private readFileInSpace;
    private getCollectionFromStore;
    private getEntityFromStore;
    private deleteEntityFromStore;
    /**
    * Get last used id from localStorage
    * @returns {number} The value
    */
    private lastUsedId;
    private savePointToStorage;
    private loadPointFromStorage;
    private loadPointFromStorageIfEmpty;
    loadEntity(type: string, id: number): Observable<EntityDataSet>;
    loadCollection(type: string, filter?: FilterData): Observable<CollectionDataSet>;
    saveEntity(entity: EntityDataSet, type: string, id: number): Observable<EntityDataSet>;
    createEntity(type: string, data: EntityDataSet): Observable<EntityDataSet>;
    deleteEntity(type: string, id: number): Observable<boolean>;
    private setEntityInStore;
}
